%global py_setup_args --with-system-hidapi

Name:     python-hidapi
Version:  0.14.0
Release:    1%{?dist}
Summary:  Interface to the hidapi library

License:  GPLv3+ or BSD or Public Domain
URL:      https://github.com/trezor/cython-hidapi
Source0:  %{pypi_source hidapi}

BuildRequires: gcc
BuildRequires: hidapi-devel
BuildRequires: libusb-compat-0.1-devel
BuildRequires: libudev-devel

BuildRequires: python3-devel
BuildRequires: python3-pytest
BuildRequires: python3-setuptools
BuildRequires: python3dist(cython) < 3

%description
%{summary}.


%package -n python3-hidapi
Summary:  %{summary}

%description -n python3-hidapi
%{summary}.


%prep
%autosetup -n hidapi-%{version}

rm -rf hidapi hidapi.egg-info hid.c


%build
%py3_build


%install
%py3_install


%check
%{pytest} tests.py


%files -n python3-hidapi
%license LICENSE*.txt
%doc README.rst try.py
%{python3_sitearch}/hid*.so
%{python3_sitearch}/hidraw*.so
%{python3_sitearch}/hidapi-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.0-1
- initial build
